
const jsonServer = require('json-server');
const server = jsonServer.create();
const router = jsonServer.router('db.json');
const middlewares = jsonServer.defaults();

server.use(middlewares);
server.use(jsonServer.bodyParser);

server.get('/reserved-seats', (req, res) => {
  const users = router.db.get('users').value();
  const filtered = users.map(({ id, reservedSeats }) => ({
    id,
    reservedSeats,
  }));
  res.json(filtered);
});

server.use(router);

const PORT = 3000;
server.listen(PORT, () => {
  console.log(`JSON Server running at http://localhost:${PORT}`);
});
